GenpeptFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.GenpeptFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class GenpeptFormat

    java.lang.Object
      org.biojava.bio.seq.io.GenbankFormat
          org.biojava.bio.seq.io.GenpeptFormat

All Implemented Interfaces:
  Serializable, EventListener, SequenceFormat, ParseErrorListener, ParseErrorSource

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class GenpeptFormat

extends GenbankFormat

This class is necessitated by the deprecation of writeSequence(Sequence seq, String format, PrintStream os) method. Now the format object must be intimately associated to the format it is handling.

Author:
  David Huen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.biojava.bio.seq.io.GenbankFormat
`ACCESSION_TAG, AUTHORS_TAG, BASE_COUNT_TAG, CIRCULAR_TAG, COMMENT_TAG, COORDINATE_TAG, DATE_TAG, DEFAULT, DEFINITION_TAG, DIVISION_TAG, END_SEQUENCE_TAG, FEATURE_FLAG, FEATURE_LINE_PREFIX, FEATURE_TAG, GI_TAG, JOURNAL_TAG, KEYWORDS_TAG, LOCUS_TAG, MEDLINE_TAG, ORGANISM_TAG, PUBMED_TAG, REF_ACCESSION_TAG, REFERENCE_TAG, SIZE_TAG, SOURCE_TAG, START_SEQUENCE_TAG, STRAND_NUMBER_TAG, TITLE_TAG, TYPE_TAG, VERSION_TAG`

Constructor Summary
`GenpeptFormat()` Deprecated.

Method Summary
`String` | `getDefaultFormat()` Deprecated. `getDefaultFormat` returns the String identifier for the default format.

Methods inherited from class org.biojava.bio.seq.io.GenbankFormat
`addParseErrorListener, BadLineParsed, getElideSymbols, notifyParseErrorEvent, readSequence, removeParseErrorListener, setElideSymbols, writeSequence, writeSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenpeptFormat

    public GenpeptFormat()

  Deprecated.

Method Detail

### getDefaultFormat

    public String getDefaultFormat()

  Deprecated.
  Description copied from class: `GenbankFormat`
  `getDefaultFormat` returns the String identifier for the default format.

  Specified by:
    `getDefaultFormat` in interface `SequenceFormat`
  Overrides:
    `getDefaultFormat` in class `GenbankFormat`
  Returns:
    a `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD